# Filter values

Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter value is not relevant for a specific metric/record, it is simply ignored.

Endpoint: GET /beta/analytics/filter/{filterAttribute}
Version: beta
Security: ApiKeyAuth

## Path parameters:

  - `filterAttribute` (string, required)

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.value` (string, required)

  - `data.label` (string)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

